Bug 1957749 - ovn-kubernetes pod should have CPU and memory requests set but not limits
Summary: ovn-kubernetes pod should have CPU and memory requests set but not limits
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.7
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 4.7.z
Assignee: Dan Williams
QA Contact: Arti Sood
URL:
Whiteboard:
: 1959021 (view as bug list)
Depends On: 1939752
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-06 11:57 UTC by Tinashe Chipomho
Modified: 2021-06-01 04:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-01 04:50:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 1088 0 None open [release-4.7] Bug 1957749: ovnkube: add missing resource requests for SBDB 2021-05-10 15:14:24 UTC
Red Hat Product Errata RHSA-2021:2121 0 None None None 2021-06-01 04:51:39 UTC

Description Tinashe Chipomho 2021-05-06 11:57:40 UTC
Description of problem:
Running conformance tests on ocp4.7 with RAN DU profile results in resource (CPU, memory) request errors

Version-Release number of selected component (if applicable):
Client Version: 4.7.0-0.nightly-2021-03-14-223051
Server Version: 4.7.0-0.nightly-2021-03-14-223051
Kubernetes Version: v1.20.0+bafe72f

How reproducible:
Run origin-tests against an ipv6 only enabled cluster. 

Steps to Reproduce:
1. Git clone https://github.com/openshift/origin.git into the test environment or 
 Extract the binaries - oc image extract {{ ocp_tests_image }} --path 
 /usr/bin/openshift-tests:.
2. Make the files executable - chmod a+x openshift-tests
3. Navigate to the root directory and run “make” to generate the binaries 
  For disconnected environments, mirror images needed for tests like - 
 ./openshift-tests images --to-repository {{ regfqdn }} > e2e-image-mirror-list
4. oc image mirror -f e2e-image-mirror-list
5. Run tests like - ./openshift-tests run {{ ocp_test_suite }} --from-repository {{ local_registry }} \ --junit-dir . --output-file ocp-test-suite.log
Actual results:


Expected results:
fail [github.com/onsi/ginkgo@v4.7.0-origin.0+incompatible/internal/leafnodes/runner.go:113]: Mar 29 09:15:03.229: Pods in platform namespaces are not following resource request/limit rules or do not have an exception granted:
apps/v1/DaemonSet/openshift-ovn-kubernetes/ovnkube-master/container/sbdb does not have a cpu request (rule: "apps/v1/DaemonSet/openshift-ovn-kubernetes/ovnkube-master/container/sbdb/request[cpu]")
  apps/v1/DaemonSet/openshift-ovn-kubernetes/ovnkube-master/container/sbdb does not have a memory request (rule: "apps/v1/DaemonSet/openshift-ovn-kubernetes/ovnkube-master/container/sbdb/request[memory]")

Additional info:

Comment 1 Dan Williams 2021-05-10 15:13:11 UTC
*** Bug 1959021 has been marked as a duplicate of this bug. ***

Comment 8 errata-xmlrpc 2021-06-01 04:50:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.13 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2121


Note You need to log in before you can comment on or make changes to this bug.